%define major         0
%define libname       %mklibname emeraldengine %major
%define libname_devel %mklibname emeraldengine -d

# don't provide theme engine .so
%global __provides_exclude_from %{_libdir}/%{name}/engines/.*\\.so

Name:               emerald
Version:            0.8.18
Release:            %mkrel 1
Summary:            Window Decorator for Compiz
Group:              System/X11
License:            GPLv2+
URL:                https://github.com/compiz-reloaded/%{name}
Source0:            https://github.com/compiz-reloaded/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:      gettext-devel
BuildRequires:      intltool
BuildRequires:      pkgconfig(gtk+-3.0)
BuildRequires:      pkgconfig(libwnck-3.0)
BuildRequires:      pkgconfig(libdecoration)
BuildRequires:      pkgconfig(cairo)
BuildRequires:      pkgconfig(pangocairo)
BuildRequires:      pkgconfig(xrender)
BuildRequires:      pkgconfig(xi)

Requires:           compiz >= 1:0.8.18
Provides:           compiz-decorator

Conflicts:          %{_lib}emerald0 < 0.8.16-2

Recommends:         %{name}-themes

%description
Themeable window decorator for the Compiz window manager/compositor.

#----------------------------------------------------------------------------

%package -n %libname
Summary:   Library files for %{name}
Group:     System/X11
Requires:  %{name} = %{version}-%{release}
Obsoletes: %{_lib}emerald0 < 0.8.16-2

%description -n %{libname}
Emerald Window Decorator for Compiz.

This package contains library files for %{name}

#----------------------------------------------------------------------------

%package -n %libname_devel
Group:     Development/C
Summary:   Devel package for %{name}

Requires:  %{name} = %{version}-%{release}
Requires:  %{libname} = %{version}-%{release}
Provides:  %{name}-devel = %{version}
Obsoletes: %{_lib}emerald-devel < 0.8.16-2

%description -n %libname_devel
Emerald - Window Decorator for Compiz.

This package contains static libraries and header files needed for development.

#----------------------------------------------------------------------------

%prep
%autosetup -p1


%build
NOCONFIGURE=1 ./autogen.sh
%configure \
    --disable-rpath \
    --disable-static \
    --disable-mime-update \
    --with-gtk=3.0

%make_build

%install
%make_install

desktop-file-install \
  --vendor="" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_datadir}/mimelnk/application
cat >%{buildroot}%{_datadir}/mimelnk/application/x-%{name}-theme.desktop <<EOF
[Desktop Entry]
Type=MimeType
Comment=%{name} Theme
MimeType=application/x-%{name}-theme
Patterns=*.%{name}
EOF

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

#----------------------------------------------------------------------------

%files -f %{name}.lang
%doc AUTHORS NEWS
%license COPYING
%{_bindir}/%{name}*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/engines/
%{_libdir}/%{name}/engines/*.so
%{_datadir}/applications/%{name}-theme-manager.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/theme
%{_datadir}/%{name}/theme/*
%{_datadir}/%{name}/settings.ini
%{_datadir}/mime-info/%{name}.mime
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/mimelnk/application/x-%{name}-theme.desktop
%{_mandir}/man1/*.1*

%files -n %libname
%{_libdir}/libemeraldengine.so.%{major}{,.*}

%files -n %libname_devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/libemeraldengine.so
%{_libdir}/pkgconfig/emeraldengine.pc


%changelog
* Sat Apr 18 2020 wally <wally> 0.8.18-1.mga8
+ Revision: 1569236
- new version 0.8.18

* Fri Feb 14 2020 umeabot <umeabot> 0.8.16-3.mga8
+ Revision: 1520840
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 10 2018 wally <wally> 0.8.16-2.mga7
+ Revision: 1339956
- fix lib and devel pkg names
- move theme engines to main pkg

* Sun Nov 25 2018 daviddavid <daviddavid> 0.8.16-1.mga7
+ Revision: 1333956
- new version: 0.8.16

* Sun Sep 23 2018 umeabot <umeabot> 0.8.14-2.mga7
+ Revision: 1297593
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 tarakbumba <tarakbumba> 0.8.14-1.mga7
+ Revision: 1189062
- Updated to 0.8.14

* Mon Feb 06 2017 tarakbumba <tarakbumba> 0.8.12.4-1.mga6
+ Revision: 1084890
- Re-introduce package with actively developed version
+ tv <tv>
- s/uggests:/Recommends:/
+ julien <julien>
- update to 0.9.5
- add patch to compiel with -Wformat-security
- clean specfile (BR, old obsolete)
+ gil <gil>
- update to 0.8.8
+ colin <colin>
- imported package emerald


* Sun Mar 14 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.4-2mdv2010.1
+ Revision: 518779
- rebuild for new compiz
- fix license
- add patch to fix references to obsolete gtk widgets

* Thu Oct 15 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 457736
- New version: 0.8.4
- Harden buildrequires versions
- Remove pre 2009.0 post/pre scripts
- Remove obsolete configure arguments

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.8.2-2mdv2010.0
+ Revision: 437456
- rebuild

* Sun Mar 15 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 355364
- New version 0.8.2
- protect major

* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.20090208.1mdv2009.1
+ Revision: 338531
- 0.8 pre-release snapshot

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.8-1mdv2009.1
+ Revision: 319185
- another literal fix...
- update literal.patch with another fix
- add literal.patch: fix string literal errors
- 0.7.8 final

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080912.1mdv2009.0
+ Revision: 284294
- New snapshot

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234356
- New snapshot
- Remove workarounds for desktop file (fixed upstream)
- New version: 0.7.6

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210169
- Update to git snapshot
- New version 0.7.4

* Sat Mar 15 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-2mdv2008.1
+ Revision: 188095
- Fix #37450 (random crashes) by applying upstream patches

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181127
- New version 0.7.2

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-0.20080210.1mdv2008.1
+ Revision: 172311
- Update to git master for new compiz

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-0.20071018.3mdv2008.1
+ Revision: 100101
- Update snapshot from 0.6.0 branch for compiz 0.6.2

* Mon Oct 15 2007 Funda Wang <fwang@mandriva.org> 0.5.2-3mdv2008.1
+ Revision: 98730
- obsoletes old devel package

* Mon Oct 01 2007 Olivier Blin <oblin@mandriva.com> 0.5.2-2mdv2008.0
+ Revision: 94103
- use same categories as ccsm in desktop file (#34251)

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62616
- Official Release: 0.5.2

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3.0-0.20070801.1mdv2008.0
+ Revision: 57840
- Updated snapshot

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3.0-0.20070627.1mdv2008.0
+ Revision: 49647
- Provide compiz-decorator
- New Snapshot for Compiz Fusion

* Thu Jun 14 2007 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2008.0
+ Revision: 39233
- Merge Fedora patch to build against latest libwnck
- New version

* Thu May 24 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-2mdv2008.0
+ Revision: 30459
- Fix #MDV30991 - Add a MIME type definition for x-emerald-theme


* Thu Mar 15 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-1mdv2007.1
+ Revision: 143949
- New Version: 0.2.0

* Wed Feb 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-1mdv2007.1
+ Revision: 120684
- New Release Candidate 0.1.9999.2 (RC2)
- Tidy up BuildRequires due to beryl-core-devel changes

* Sat Feb 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-1mdv2007.1
+ Revision: 116006
- New Release Candidate: RC1

* Sun Jan 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.99.2-1mdv2007.1
+ Revision: 111377
- New version 0.2.0 Beta 2

* Sat Dec 30 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-1mdv2007.1
+ Revision: 102815
- New Release: 0.1.4

* Sun Dec 10 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-1mdv2007.1
+ Revision: 94467
- Specfile cleanup
- The official 0.1.3

  + Sébastien Savarin <plouf@mandriva.org>
    - New rev 0.1.3

* Thu Dec 07 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-3mdv2007.1
+ Revision: 91882
- Fix strange dependencies (#27358)
- Correct use of %%mklibname

* Mon Nov 20 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-2mdv2007.1
+ Revision: 85662
- Bump release (forgot in last commit)
- More minor spec cleanup
- Spec file cleanup

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-1mdv2007.1
+ Revision: 78075
- New Release 0.1.2

* Wed Oct 25 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-2mdv2007.0
+ Revision: 72139
- Correct the version requirement on beryl-core-devel
- Require correct version of beryl-core-devel

  + Sébastien Savarin <plouf@mandriva.org>
    - New revision 0.1.1

* Thu Oct 19 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-6mdv2007.0
+ Revision: 66092
- YAR - Yet Another Rebuild
- Build also requires desktop-file-utils
- Rebuild
- Bump revision
- More build requires fixes.
- Fix build requires (intltool)
- Proper handling of Provides/Obsoletes for package renames
- First release of Emerald
- Cgwd becomes Emerald
- Fix BuildRequires from automated reports
- Fix menus

* Tue Sep 19 2006 Colin Guthrie <cguthrie@mandriva.org> 0.69-1mdv2007.0
+ Revision: 61818
- Latest version

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva.org> 0.53-0.060818.6mdv2007.0
+ Revision: 61781
- Fix BuildRequires (to fix x86_64 build)

* Sun Sep 17 2006 Colin Guthrie <cguthrie@mandriva.org> 0.53-0.060818.5mdv2007.0
+ Revision: 61736
- Fix buildrequires
- Correct release
- Fix lib package to include individial engine libraries (#24619)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add buildrequires

* Fri Aug 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.53-0.060818.4mdv2007.0
+ Revision: 57834
- Add buildrequires

* Fri Aug 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.53-0.060818.3mdv2007.0
+ Revision: 57822
- Increanse release
- Fix group

* Sun Aug 20 2006 Sébastien Savarin <plouf@mandriva.org> 0.53-0.060818.2mdv2007.0
+ Revision: 56849
- fix schemas error

* Sat Aug 19 2006 Sébastien Savarin <plouf@mandriva.org> 0.53-0.060818.1mdv2007.0
+ Revision: 56736
- add forgotten files
-use snapshot and mime database macros

* Fri Aug 18 2006 Sébastien Savarin <plouf@mandriva.org> 0.52-1mdv2007.0
+ Revision: 56573
-split package
- Import cgwd

